"FullPath cannot be applied" error for nested node_modules in VS2015 CTP6

I'm playing around with MVC6 + Aurelia project in Visual Studio 2015 CTP6, and came across something interesting. My node_modules is by default in the project root and everything works fine....

node.js Error: Cannot find module 'lodash.assign'

I have installed node.js in windows 64bit and i run into this when runnig gulp on local project. another note: npm install went good with packages.json Error: Cannot find module 'lodash.assign' ...

cannot load png files with webpack, unexpected character

Im trying to reconfigure my webpack, and now i cannot load the css files. i keep my styles in src > styles > main.css I am getting errors such as ERROR in ./src/images/NavIcon03.png Module build...

Can't match regex with sed

I'm trying to match a pattern (\^|\~?)(\d|x|\*)+\.(\d|x|\*)+\.(\d|x|\*)+ with sed without luck. The file I'm running through is this: { "name": "something", "version": "0.0.1", ...

Gulp, Laravel 5.3 and Semantic-UI

Gulp newbie here So, I was trying to implement semantic-ui in my laravel 5.3 project and I'm stuck at a point where I've tried a lot of things but nothing works. Steps I followed: composer...

Getting errors when trying to install Angular-cli tool

As advised I ran "npm install -g angular-cli" to install the CLI tool. I have installed windows tools using "npm install --global --production windows-build-tools" and also "npm install -g...

npm install solc and solc-cli but failed in ubuntu

when i try to use npm to install solc and solc-cli npm WARN deprecated [email protected]: This package is deprecated. Use Object.assign. /usr/local/bin/solcjs ->...

Angular CLI installation failure

Installing Angular CLI ([email protected]) via npm install -g [email protected] failed with the following error in npm-debug.log: Error: The package [email protected] does not satisfy...

Angular-cli does not get updated

I need to update my angular-cli to the latest version. When I run : npm cache clean I face with the following errors: npm ERR! Windows_NT 6.3.9600 npm ERR! argv "C:\\Program...

Atom: React-redux / node: cannot find module

I'm using atom: The following packages have been installed: linter-eslint and linter The following has been installed in the project's folder: npm install --save-dev...

Angular2 Cli installation problems

I want to give a shot at angular 2 so I'm working to install angular2 cli now, but when I install it and then run ng new newapp , it awkwardly opens the command line and says something about 'mg'...

Using Babel to Get ApolloClient to ES5 CommonJS Module Format for Node Environment

Using Babel to Get ApolloClient to ES5 CommonJS Module Format Im trying to use Babel to get the apollo-client module to work as ES5 in a non-browser, node environment. I've gone through step below...

Modify gulp file to run customized browserify command

I would like to use gulp to run a custom browserify command whenever a js file (function.js) is modified. The browserify command that I want to run is; $ browserify function.js --standalone...

ENOTFOUND Package ng-cordova not found

Help! I'm new to Cordova, node, grunt, bower, etc. I am trying to import an existing Cordova app into Visual Studio 2015. When trying to update dependencies (by right clicking on the dependencies...

The development server returned response error code: 500 in react native

I am using react-native framework for developing my android app. I want to use react-native-material-design library for making Toolbar with some more features. I installed this library in current...

npm install fails after npm-check-updates

The npm install command fails for the following package.json: { "name": "xxxxxxxxx", "version": "0.6.8", "description": "xxxxxx", "main": "gulpfile.js", "scripts": { "test": "echo...

React / AFrame object assign error

Am attempting to hook up Aframe inside react-native, but when launching in the emulator I get this error: One of the sources for assign has an enumerable key on the prototype chain. Are you trying...

npm install angular cli failling with 502 error on Ubuntu 16.04 LTS

I'm trying to install the latest angular cli with npm: sudo -s npm install --save-dev @angular/[email protected] But I'm always getting 502 error: npm WARN registry Using stale package data from...

ES7 Mobx Decorators with Babelify 7 and browserify, unexpected token @

Trying to use Mobx Decorators with Babelify 7.3.0 and Browserify 14.4.0. Admitedly, very new to this and this is a first time setup of this stack. Getting syntax errors on the decorators from...

Angular CLI , Node v8 and npm 5. Issue while installing packages in restricted network environment

I have upgrade my nodejs to v 8.1 and using npm 5, For Angular CLI latest $ node --version && npm --version v8.1.4 5.0.3 While running installation command I am getting below exception. Our...

nodemon command not found

When i input "nodemon", i get the following error: "bash: nodemon: command not found". I've tried installing it both locally and globally, and it actuall worked yesterday, and I can't remember...

Electron application SQLITE package has not been found installed

We are struggling with building app for windows 32bit and 64bit. It is angular 2 application which uses sqlite3 as a database. Everything works perfectly in a development but after packaging app...

Angular 4 TestBed compileComponents

I have an angular 4 project which is inspired from angular cli. With angular 4.1.x everything works fine (run, build, unit tests, isolated component tests). But when i move to ^4.2.0 which...

Why can't I terminal stop after my gulp process finishing

I want to apply react to my NodeJs This is my gulpfile: let gulp = require('gulp'); let uglify = require('gulp-uglify'); let browserify = require('browserify'); let babelify =...

Can't build Ionic3 app since updating to [email protected]

I'm trying to build my ionic app with --prod flag but I'm getting issues doing it. After upgrading to ionic 3.18, some time ago, there was some problems and I couldn't run my app anymore. I forgot...

Gutenberg Wordpress: Extending Core Block

I am trying to add a padding Inspector Control to all core block of the new Gutenberg Wordpress Editor. I have created the Control on the Editor and now I am trying to apply this style to the...

Babel Webpack Error: You may need an appropriate loader to handle this file type

I am trying to lazy load some React components like so: node: v10.15.2 const Library = React.lazy(() => import('./components/Library'))` My error: Module parse failed: Unexpected token (51:9) You...

Cannot invoke an expression whose type lacks a call signature. Type 'typeof import("sweetalert2")' has no compatible call signatures

I am getting "Cannot invoke an expression whose type lacks a call signature. Type 'typeof import("sweetalert2")' has no compatible call signatures." this error while using SWAL in angular. My...

Modifying or adding classes to individual components within core wordpress blocks

I am having difficulty modifying or adding additional classes to individual components of wordpress blocks. I essentially just want to add a class or classes to some of the pieces that make up...

npm ERR! premature close

I buy and use a ReactJS template. this is the template that I use I wanna install All dependencies using npm install in root directory of Templates(React-App) but i got an ERROR like...

Relevant tags